RubyGems Navigation menu

geminstaller 0.4.1

FEATURES: GemInstaller provides automated management of RubyGems. It uses a simple YAML config file to: * Automatically install the correct versions of all required gems wherever your app runs. * Automatically ensure installed gems and versions are consistent across multiple applications, machines, platforms, and environments * Automatically add correct versions of gems to the ruby load path when your app runs ('require_gem'/'gem') * Automatically reinstall missing dependency gems (built in to RubyGems > 1.0) * Automatically detect correct platform to install for multi-platform gems (built in to RubyGems > 1.0) * Print YAML for "rogue gems" which are not specified in the current config, to easily bootstrap your config file, or find gems that were manually installed without GemInstaller. * Allow for common configs to be reused across projects or environments by supporting multiple config files, including common config file snippets, and defaults with overrides. * Allow for dynamic selection of gems, versions, and platforms to be used based on environment vars or any other logic. * Avoid the "works on demo, breaks on production" syndrome == SYNOPSYS: GemInstaller provides automated management of RubyGems.

バージョン履歴:

  1. 0.5.6 - May 11, 2010 (62.5KB)
  2. 0.5.5 - March 25, 2010 (62.5KB)
  3. 0.5.4 - November 16, 2009 (63KB)
  4. 0.5.3 - September 24, 2009 (62.5KB)
  5. 0.5.2 - August 05, 2009 (61.5KB)
  6. 0.4.1 - July 25, 2009 (57KB)
全てのバージョンを表示 (全20項目)

オーナー:

作者:

  • Chad Woolley

SHA 256チェックサム:

6988d67768f4d7d76d878521870aa885e1215d05ee573e5e6b269d3084c3525f

累計ダウンロード数 76,866

現行バージョン 2,560

Gemfile:
= クリップボードにコピー コピー完了!

インストール:
=

ライセンスs:

N/A

必要Rubyバージョン: なし

リンク集: